return {
  "goolord/alpha-nvim",
  -- dependencies = { 'echasnovski/mini.icons' },
  dependencies = { 'nvim-tree/nvim-web-devicons' },
  config = function()
    local startify = require("alpha.themes.startify")
    local dashboard = require("alpha.themes.dashboard")
    local logo = [[
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⣀⣀⣀⣀⣀⡀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⠀⢀⡀⣠⣴⣿⣽⣷⣿⣿⣿⣿⣾⣷⣦⢄⠀⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⠀⣠⣤⠀⠀⠀⠀⠀⣀⣸⣾⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣾⣝⢄⠀⠀⠀⠀⠀⠀⠀⠀
⠀⠀⣰⣿⣾⡀⢀⡠⣪⣽⣿⣯⡿⡾⣏⡻⡿⣿⣿⣿⣿⣿⣿⣿⣿⣿⣷⢣⠀⠀⠀⠀⠀⠀⠀
⠀⢰⣿⣿⣿⣯⣷⣿⣿⣿⣿⣿⡿⣻⣷⡿⣫⠤⢄⡹⡿⣽⣏⢹⠅⠻⡟⣹⡤⣀⠀⠀⠀⠀⠀
⠀⠸⣹⣿⣿⣿⣿⣿⣿⣿⡟⠞⣾⣿⡟⢱⡏⠃⢀⢳⢹⣷⣿⣮⣵⣞⣻⣿⣿⣿⣷⡀⠀⠀⠀
⠀⠀⠈⠫⠿⣛⣻⣏⢪⣾⣿⣿⠯⣻⣿⣦⠻⠦⢬⣛⣼⣿⣿⣿⣿⣿⣿⣿⣿⣿⣿⡱⠀⠀⠀
⠀⠀⠀⢠⣞⣺⣽⡏⣯⣿⣿⣯⣿⣿⣿⣿⣿⣾⣾⣿⣿⣿⣿⣿⣿⣿⢿⣿⠿⠋⢁⢇⠀⠀⠀
⠀⠀⠀⢇⣾⢿⣿⣷⣟⣿⣿⠑⣿⣿⣿⣿⣿⣿⣿⣿⣿⣟⣿⣷⣿⣿⣿⡻⣷⣷⢿⣳⣕⡄⠀
⠀⠀⢠⣗⣟⢷⣽⡛⢿⣿⣿⣆⠁⠻⣿⣿⣿⣿⣿⣿⣿⣿⡿⣿⣻⣯⣿⣿⣹⣿⣹⣻⣿⡞⡄
⠀⠀⠀⢠⣿⣿⣏⣨⣾⣿⣿⢯⣿⣠⣌⠛⠿⠿⣿⣿⣿⣿⠘⠛⢻⣯⣍⢽⣿⣷⣷⣿⣿⣿⡇
⠀⠀⢀⣸⣿⣩⣿⣿⣽⢿⣿⣿⣿⣸⣿⣇⣐⠓⠚⠛⠋⣁⣤⠆⢀⡻⣿⣾⣴⣻⣟⡿⣿⡧⡇
⠀⠀⠈⠾⣻⣿⡾⣿⣿⣿⣾⣙⡿⣛⣂⠈⠱⢿⣿⣿⡿⣿⣿⣟⣿⣻⣿⣿⡫⢬⣿⣧⣿⣷⡱
⠀⠀⠀⠀⢈⣞⡽⣫⣧⣾⣷⣶⣸⣿⣿⣿⣦⡀⠀⠩⣾⣿⣿⣿⣿⣿⣮⣿⣿⡾⣿⣽⣷⡗⠁
     YIP YAP YAP YAP YIP YIP YAP
    ]]
-- ⠀⠀⢀⢮⣟⣾⣿⣿⣻⣿⡷⣻⣿⠿⣿⣿⣿⣤⣀⠹⣿⣿⣿⣿⣿⣿⣿⠏⠁⡧⠗⠁⠀⠀
-- ⠀⠀⢸⣿⣿⣿⣿⣿⣿⣿⣟⣾⡿⣶⣿⣿⣿⣿⣿⣿⣦⡘⠿⠿⠿⣿⡟⠀⢰⠁⠀⠀
    dashboard.section.header.val = vim.split(logo, "\n")
    dashboard.section.header.opts.hl = "@tag"
    local quotes = {
      { "Sorting moss by taste..." },
      { "There is no Kobold OSHA..." },
      { "All kobolds are just lil guys..." },
      { "Yips and Yaps are just morse code dots and dashes..." },
      { "Kobolds pass the Rorschach test by eating the picture..." },
    }
    dashboard.section.footer.val = quotes[math.random(#quotes)]
    dashboard.section.buttons.val = {
      dashboard.button('`', '󰙅 Tree'),
      dashboard.button('SPC SPC', '󰱽 Find File'),
      dashboard.button('SPC /', '󱝩 Live Grep'),
    }
    startify.file_icons.provider = "devicons"
    require("alpha").setup(
      dashboard.opts
    )
  end,
}
